Obsoletes question: codeina

Ville Skyttä ville.skytta at iki.fi
Wed Oct 8 17:16:27 UTC 2008


On Wednesday 08 October 2008, Jesse Keating wrote:
> On Wed, 2008-10-08 at 19:49 +0300, Ville Skyttä wrote:
> > Is the Provides: above appropriate in the first place, or should only the
> > Obsoletes: be there?  The only thing PackageKit-gstreamer-plugin and
> > codeina appear to have in common is
> > /usr/libexec/gst-install-plugins-helper.
> >
> > More info:
> > http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Frepla
> >cing_existing_packages
>
> In this case, people who currently have codeina installed, but not the
> pk-gstreamer-plugin, would get pk-gstreamer-plugin as an upgrade to
> their installed codeina.  They wouldn't get pk-plugin automatically any
> other way, unless something else they have installed requires it.  It's
> somewhat fuzzy use of Provides, but it is in a way that is favorable to
> our users.

I think the Obsoletes alone accomplishes auto-upgrading from codeina to 
pk-gstreamer-plugin.   I hope that's what you meant as desirable in the 
above, I'm having a bit of a problem parsing it.

Dropping the Provides would mean that if something had a depdendency on 
codeina, that dep would be broken, and that pk-gstreamer-plugin couldn't be 
installed with "yum install codeina".  I don't think it'd have any effect on 
whether pk-gstreamer-plugin would/wouldn't be applied as an upgrade over 
installed codeina e.g. by yum (assuming the Obsoletes is left there).




More information about the devel mailing list